org.apache.lucene.search

## Interface FieldCache.LongParser

All Superinterfaces:
  FieldCache.Parser

Enclosing interface:
  FieldCache

    public static interface FieldCache.LongParser
    extends FieldCache.Parser

Interface to parse long from document fields.

See Also:
  `FieldCache.getLongs(AtomicReader, String, FieldCache.LongParser, boolean)`

### Method Summary

Methods
`long` `parseLong(BytesRef term)` Return an long representation of this field's value.

### Methods inherited from interface org.apache.lucene.search.FieldCache.Parser

`termsEnum`

### Method Detail

#### parseLong

    long parseLong(BytesRef term)

Return an long representation of this field's value.